# Class CIM_PhysicalTape
extends CIM_PhysicalMedia

The PhysicalTape class represents additional data for a Tape Media. Information on the tape length and whether it must be unloaded from BOT are properties of this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_PhysicalElement
|
+--CIM_PhysicalComponent
|
+--CIM_PhysicalMedia
|
+--CIM_PhysicalTape

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The PhysicalTape class represents additional data for a Tape Media. Information on the tape length and whether it must be unloaded from BOT are properties of this class.
UMLPackagePath | string | CIM::Physical::PhysicalMedia
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
TapeLength | real32 |
Description | string | The physical length of the Tape in feet.
PUnit | string | foot
Units | string | Feet
UnloadAnywhere | boolean |
Description | string | Boolean set to TRUE if the Tape can be unloaded at any position on the Media. It is set to FALSE if the tape must be at a certain position for unload - such as at the beginning of tape (BOT) area, or at mid-tape point for TapeDrives with mid-tape load.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
CanBeFRUed | boolean | CIM_PhysicalElement
Capacity | uint64 | CIM_PhysicalMedia
Caption | string | CIM_ManagedElement
CleanerMedia | boolean | CIM_PhysicalMedia
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_PhysicalElement
Description | string | CIM_PhysicalElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DualSided | boolean | CIM_PhysicalMedia
ElementName | string | CIM_PhysicalElement
HealthState | uint16 | CIM_ManagedSystemElement
HotSwappable | boolean | CIM_PhysicalComponent
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
ManufactureDate | datetime | CIM_PhysicalElement
Manufacturer | string | CIM_PhysicalElement
MaxMounts | uint64 | CIM_PhysicalMedia
MediaDescription | string | CIM_PhysicalMedia
MediaSize | real32 | CIM_PhysicalMedia
MediaType | uint16 | CIM_PhysicalMedia
Model | string | CIM_PhysicalElement
MountCount | uint64 | CIM_PhysicalMedia
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherIdentifyingInfo | string | CIM_PhysicalElement
PartNumber | string | CIM_PhysicalElement
PoweredOn | boolean | CIM_PhysicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Removable | boolean | CIM_PhysicalComponent
RemovalConditions | uint16 | CIM_PhysicalComponent
Replaceable | boolean | CIM_PhysicalComponent
SerialNumber | string | CIM_PhysicalElement
SKU | string | CIM_PhysicalElement
Status | string | CIM_ManagedSystemElement
Tag | string | CIM_PhysicalElement
TimeOfLastMount | datetime | CIM_PhysicalMedia
TotalMountTime | uint64 | CIM_PhysicalMedia
UserTracking | string | CIM_PhysicalElement
VendorEquipmentType | string | CIM_PhysicalElement
Version | string | CIM_PhysicalElement
WriteProtectOn | boolean | CIM_PhysicalMedia
LabelFormats | uint16[] | CIM_PhysicalMedia
LabelStates | uint16[] | CIM_PhysicalMedia
OperationalStatus | uint16[] | CIM_ManagedSystemElement
PhysicalLabels | string[] | CIM_PhysicalMedia
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods